﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingSeasonAdditionalViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Additional options
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset>

                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.IsWaitListAvailable)" type="checkbox">
                            <span class="check"></span>
                            Enable waitlists
                        </label>
                    </div>

                    <div ng-show="Model.IsWaitListAvailable">
                        <label for="">Waitlist policy</label>
                        <div class="input-control textarea" @Html.AngValidationClassFor(model => model.WaitlistPolicy)>
                            <textarea rows="4" cols="500" class="col-md-12" @Html.AngTooltipValidationFor(model => model.WaitlistPolicy) ng-model="@Html.Ang(model => model.WaitlistPolicy)"></textarea>
                        </div>
                    </div>

                </div>

                <div class="clearfix"></div>
        </fieldset>

        <div class="clearfix"></div>

        <fieldset>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.ShowRemainingSpots)" ng-value="true" type="checkbox" />
                    <span class="check"></span>
                    Show the remaining spots when it is less than
                </label>

            </div>

            <div class="input-control select place-left one-third padding-right20 " data-role="input-control" @Html.AngValidationClassFor(model => model.CapacityLeftNumbers)>

                <select ng-model="@Html.Ang(model => model.CapacityLeftNumbers)" ng-disabled="!Model.ShowRemainingSpots"
                        ng-options="obj.Value as obj.Text for obj in allCapacities"
                        @Html.AngTooltipValidationFor(model => model.CapacityLeftNumbers)></select>

            </div>
        </fieldset>


        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_ScheduleInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>